GNU bug report logs - #40395
Building Grep with PCRE support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Severity: wishlist; Reported by: noloader@HIDDEN; merged with #22345, #47264; dated Thu, 2 Apr 2020 23:18:02 UTC; Maintainer for grep is bug-grep@HIDDEN.
Merged 22345 40395 47264. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40395 <at> debbugs.gnu.org:


Received: (at 40395) by debbugs.gnu.org; 2 Apr 2020 23:41:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 19:41:42 2020
Received: from localhost ([127.0.0.1]:40976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK9Sv-0005Nu-PY
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 19:41:42 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:42808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jK9Ss-0005NL-Kk
 for 40395 <at> debbugs.gnu.org; Thu, 02 Apr 2020 19:41:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3E7DF1600C3;
 Thu,  2 Apr 2020 16:41:32 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id Gq8wA2jw7iPX; Thu,  2 Apr 2020 16:41:31 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9C1B01600C7;
 Thu,  2 Apr 2020 16:41:31 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aZBk7z5QA5hL; Thu,  2 Apr 2020 16:41:31 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 6A49E1600C3;
 Thu,  2 Apr 2020 16:41:31 -0700 (PDT)
Subject: Re: bug#40395: Building Grep with PCRE support
To: noloader@HIDDEN, 40395 <at> debbugs.gnu.org
References: <CAH8yC8=bsYO-QGah7N-bSbTQ7mvRL85C0k3Z-O1ujiQ_mb9jmw@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <27a38b3f-7728-3d38-2b18-b3fa619fc6ce@HIDDEN>
Date: Thu, 2 Apr 2020 16:41:30 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <CAH8yC8=bsYO-QGah7N-bSbTQ7mvRL85C0k3Z-O1ujiQ_mb9jmw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 4/2/20 4:17 PM, Jeffrey Walton wrote:
>      checking for PCRE... no
>      checking for pcre_compile... no
>      configure: WARNING: GNU grep will be built without pcre support.

Look in config.log for why.




Information forwarded to bug-grep@HIDDEN:
bug#40395; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2020 23:17:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 19:17:51 2020
Received: from localhost ([127.0.0.1]:40930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK95r-0003sd-4G
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 19:17:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:57883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <noloader@HIDDEN>) id 1jK95p-0003sN-Eq
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 19:17:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40839)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <noloader@HIDDEN>) id 1jK95o-0008Gs-Dv
 for bug-grep@HIDDEN; Thu, 02 Apr 2020 19:17:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noloader@HIDDEN>) id 1jK95n-0001kb-Gl
 for bug-grep@HIDDEN; Thu, 02 Apr 2020 19:17:48 -0400
Received: from mail-il1-x12c.google.com ([2607:f8b0:4864:20::12c]:38213)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <noloader@HIDDEN>) id 1jK95n-0001jw-Cn
 for bug-grep@HIDDEN; Thu, 02 Apr 2020 19:17:47 -0400
Received: by mail-il1-x12c.google.com with SMTP id n13so5447082ilm.5
 for <bug-grep@HIDDEN>; Thu, 02 Apr 2020 16:17:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:reply-to:from:date:message-id:subject:to;
 bh=O5o0tglh4jvwUzO2iMsMaqPFgmB/6BQ6+s/Y1B7i2lU=;
 b=rlaEu3orusteE2z41LycHDsUI6GU4chYjWEsar3gGnSpsQ43+4zda1SQmDMRJXDW4n
 VEOz0zEXMasvX26R6gKEVTJVi/X0ilv5Iks7oe+rqhSdo0EkwQbs/C7mrI698pEViObG
 eqAAvmwzDZcpVG7HDLTAhwXY1I92SCJxx7xhZImNZ5KNbi/zTEGemKDPqwx7Yaxw51JQ
 HkX0RPgxX1mq+ROaPbTlpZA3Q9OlLPyeqHeqL4aALPU0CbKrHuccW7teMfOF5gKBiQRh
 zrxbQMi17wVDDqGiTskcPYf50sgTOZYOiHT4YYnYD1kW7+YRq/CYFVUgWbolrLQi6r+i
 YXFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:reply-to:from:date:message-id
 :subject:to;
 bh=O5o0tglh4jvwUzO2iMsMaqPFgmB/6BQ6+s/Y1B7i2lU=;
 b=CZkJQleB51+hO2WGq2PQrtfeXd4WnB/+S1a72qxA+Jy9346m3pn8+u9mp5hAXxhoAa
 EZmzyLJ5nr9D1cNkgX14OC21+rR8XPN41flHfzZHtc0FSvxXeUK9wFKLg0LNw/bqBqMH
 Fd1HTXxhZ+Ks8bD8Wy1wPZJNnAPZwWerHq55J3BTI3Zt5yS0sO50qh63bs0YCOKJdqDE
 DGQ8AE7coG2Q6JMvrXZFsQanCIuXlSzzaJ/DSGu2fPQXUe96qum7NDG1U12S8K+PQXaD
 IVU92UQSvdwHH3HKJ43lNC83ghK5KvaHprBkyLtwuBvXuqSIvzpKf5h/yROsy0sIBvsf
 ElHg==
X-Gm-Message-State: AGi0PuaD5ZSgM7TqNAjMOM/5lAlafuvrhp//wQVbi+XyrP/2A8rSDCaB
 UzwxWTKQFruN6L0OLxKzKGJOefCP5e9uuj/ZmzbnNADksgg=
X-Google-Smtp-Source: APiQypI4fjorFSV2tCNh1xhIidSXNFiDh8Ftb7gLThXHlELD/og0qh9PS3jkebaVRfFrUkbbSOkzhrlDBuhcz0rsILI=
X-Received: by 2002:a92:90c:: with SMTP id y12mr5728354ilg.212.1585869466430; 
 Thu, 02 Apr 2020 16:17:46 -0700 (PDT)
MIME-Version: 1.0
From: Jeffrey Walton <noloader@HIDDEN>
Date: Thu, 2 Apr 2020 19:17:35 -0400
Message-ID: <CAH8yC8=bsYO-QGah7N-bSbTQ7mvRL85C0k3Z-O1ujiQ_mb9jmw@HIDDEN>
Subject: Building Grep with PCRE support
To: bug-grep@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::12c
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Everyone, I'm working on OS X 10.12. When I build Grep
 3.3 from source tarball I see: checking for PCRE... no checking for
 pcre_compile...
 no configure: WARNING: GNU grep will be built without pcre support. 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (noloader[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: noloader@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Everyone,

I'm working on OS X 10.12. When I build Grep 3.3 from source tarball I see:

    checking for PCRE... no
    checking for pcre_compile... no
    configure: WARNING: GNU grep will be built without pcre support.

PCRE2 is installed in /usr/local. PKG_CONFIG_PATH is set and points to
/usr/local/lib/pkgconfig.

Configure _lacks_ an option --with-pcre-prefix=... Attempting to use it:

    configure: WARNING: unrecognized options: --with-pcre-prefix

Would someone know how to build Grep with PCRE support?

Thanks in advance.




Acknowledgement sent to noloader@HIDDEN:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#40395; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 Aug 2021 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.